/********************************** (C) COPYRIGHT *******************************
* File Name          : Main.c
* Author             : WCH
* Version            : V1.0
* Date               : 2018/12/15
* Description        : ԶUSB豸CH372豸ṩ80ͨ(ϴ+´)ʵ´Ȼȡϴ
*******************************************************************************/
#include "CH57x_common.h"
#include "HID_CDC.h"
#include "usr_cfg.h"
/******** ûԶ˵RAM ****************************************/
#define UART_REV_LEN  64                 //ڽջС

__align(4) UINT8 EP0_Databuf[64 + 64 + 64]; //ep0(64)+ep4_out(64)+ep4_in(64)
__align(4) UINT8 EP1_Databuf[64 + 64];  //ep1_out(64)+ep1_in(64)
__align(4) UINT8 EP2_Databuf[64 + 64];  //ep2_out(64)+ep2_in(64)
__align(4) UINT8 EP3_Databuf[64 + 64];  //ep3_out(64)+ep3_in(64)

UINT8 Receive_Uart_Buf[UART_REV_LEN];
void DebugUart1Init(void)
{
    GPIOA_SetBits(GPIO_Pin_9);
    GPIOA_ModeCfg(GPIO_Pin_8, GPIO_ModeIN_PU);
    GPIOA_ModeCfg(GPIO_Pin_9, GPIO_ModeOut_PP_5mA);
    UART1_DefInit();
    #if  DEBUG
    printf("**zpf_dbg*%s*%s**\r\n", __DATE__, __TIME__);
    printf("[PA9-TX PA8-RX] UART1 FOR DBG\r\n");
    #endif
}
//
int main(void)
{
    //  UINT8 lenth;
    //  UINT8 Uart_Timeout = 0;
    int i = 0;
    SetSysClock(CLK_SOURCE_HSE_32MHz);
    PWR_UnitModCfg(ENABLE, UNIT_SYS_PLL);     // PLL
    DelayMs(5);
    DebugUart1Init();  //1,ڵ

    PRINT("start CDC proj by zpf...\n");
    pEP0_RAM_Addr = EP0_Databuf;
    pEP1_RAM_Addr = EP1_Databuf;
    pEP2_RAM_Addr = EP2_Databuf;
    pEP3_RAM_Addr = EP3_Databuf;
    R8_UEP0_T_LEN = 0;
    R8_UEP1_T_LEN = 0;      //Ԥʹ÷ͳһҪ
    R8_UEP2_T_LEN = 0;      //Ԥʹ÷ͳһҪ
    R8_UEP3_T_LEN = 0;
    USB_DeviceInit();
    NVIC_EnableIRQ(USB_IRQn);
    while (1);
    {
        if (UsbConfigRdy) { //USBö
        }
    }
}
/*******************************************************************************
* Function Name  : USB_IRQHandler
* Description    : This function handles USB exception.
* Input          : None
* Return         : None
*******************************************************************************/
void USB_IRQHandler(void)   /* USBжϷ,ʹüĴ1 */
{
    USB_DevTransProcess();
}
